// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    if(window.cordova && window.cordova.plugins.Keyboard) {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

      // Don't remove this line unless you know what you are doing. It stops the viewport
      // from snapping when text inputs are focused. Ionic handles this internally for
      // a much nicer keyboard experience.
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
  });
})

.controller('AccueilCtrl', AccueilCtrl)
.controller('DetailsCtrl', DetailsCtrl)
.controller('RechercheCtrl', RechercheCtrl)
.service('FilmSvc', FilmSvc)
.config(function($stateProvider) {
    $stateProvider
        .state('listeFilms', {
            url: '/films/liste',
            templateUrl: 'templates/liste.html',
            controller: 'AccueilCtrl as AccueilCtrl'
        })
        .state('detailsFilm', {
            url: '/films/details/:idFilm',
            templateUrl: 'templates/details.html',
            controller: 'DetailsCtrl as DetailsCtrl'
        })
        .state('rechercheFilm', {
            url: '/films/recherche',
            templateUrl: 'templates/recherche.html',
            controller: 'RechercheCtrl as RechercheCtrl'
        });
})

.config(function($urlRouterProvider) {
    $urlRouterProvider.otherwise('/films/liste');
});
